'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    message: _chalk2.default.green('Morphling'),
    propertiesList: {
        config: [{
            name: 'port',
            type: 'integer',
            description: _chalk2.default.white('On which port do you want to run Morphling?'),
            default: 8883
        }, {
            name: 'makeDefault',
            type: 'string',
            required: true,
            description: _chalk2.default.white('Do you want to save that as the default morphling port (y/n)?'),
            pattern: /[yn]/,
            default: 'y',
            before: function before(value) {
                return value === 'y';
            }
        }],
        start: [{
            name: 'run',
            type: 'boolean',
            required: true,
            description: _chalk2.default.white('You\'re done! Wanna run Morphling now?')
        }]
    }
};