'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _koaRouter = require('koa-router');

var _koaRouter2 = _interopRequireDefault(_koaRouter);

var _koaBody = require('koa-body');

var _koaBody2 = _interopRequireDefault(_koaBody);

var _utils = require('../utils/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = (0, _koaRouter2.default)();

router.post('/apply', (0, _koaBody2.default)({
    multipart: true, formidable: { uploadDir: process.cwd() + '/src/data' }
}), function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(ctx) {
        var _ctx$request$body, fields, files, fileName, file, writtenFile, overridenFile;

        return _regenerator2.default.wrap(function _callee$(_context) {
            while (1) {
                switch (_context.prev = _context.next) {
                    case 0:
                        _context.prev = 0;
                        _ctx$request$body = ctx.request.body, fields = _ctx$request$body.fields, files = _ctx$request$body.files;
                        fileName = fields.fileName;
                        file = files.file;
                        _context.next = 6;
                        return (0, _utils.writeFileStream)(fileName, file);

                    case 6:
                        writtenFile = _context.sent;

                        if (!(ctx.query.override && ctx.query.override === 'true')) {
                            _context.next = 12;
                            break;
                        }

                        overridenFile = JSON.parse(writtenFile);
                        //TODO give an option in the cli to immediately enable

                        overridenFile.overrideStatus = false;
                        _context.next = 12;
                        return (0, _utils.writeFile)('' + fileName, (0, _stringify2.default)(overridenFile));

                    case 12:

                        ctx.statusCode = 200;
                        _context.next = 19;
                        break;

                    case 15:
                        _context.prev = 15;
                        _context.t0 = _context['catch'](0);

                        console.error(_context.t0);
                        ctx.throw(500);

                    case 19:
                    case 'end':
                        return _context.stop();
                }
            }
        }, _callee, undefined, [[0, 15]]);
    }));

    return function (_x) {
        return _ref.apply(this, arguments);
    };
}());

exports.default = router;