'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _koaRouter = require('koa-router');

var _koaRouter2 = _interopRequireDefault(_koaRouter);

var _apply = require('./apply');

var _apply2 = _interopRequireDefault(_apply);

var _list = require('./list');

var _list2 = _interopRequireDefault(_list);

var _remove = require('./remove');

var _remove2 = _interopRequireDefault(_remove);

var _removeAll = require('./remove-all');

var _removeAll2 = _interopRequireDefault(_removeAll);

var _describe = require('./describe');

var _describe2 = _interopRequireDefault(_describe);

var _toggle = require('./toggle');

var _toggle2 = _interopRequireDefault(_toggle);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = (0, _koaRouter2.default)({ prefix: '/morphling' });

router.use(_apply2.default.routes(), _apply2.default.allowedMethods()).use(_list2.default.routes(), _list2.default.allowedMethods()).use(_remove2.default.routes(), _remove2.default.allowedMethods()).use(_removeAll2.default.routes(), _removeAll2.default.allowedMethods()).use(_describe2.default.routes(), _describe2.default.allowedMethods()).use(_toggle2.default.routes(), _toggle2.default.allowedMethods());

exports.default = router;