'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _koaRouter = require('koa-router');

var _koaRouter2 = _interopRequireDefault(_koaRouter);

var _utils = require('../utils/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = (0, _koaRouter2.default)();

router.get('/list', function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(ctx) {
        var fileExists, files, _files;

        return _regenerator2.default.wrap(function _callee$(_context) {
            while (1) {
                switch (_context.prev = _context.next) {
                    case 0:
                        _context.prev = 0;

                        if (!ctx.query.filename) {
                            _context.next = 8;
                            break;
                        }

                        _context.next = 4;
                        return (0, _utils.checkFileExistence)(process.cwd() + '/src/data/' + ctx.query.filename);

                    case 4:
                        fileExists = _context.sent;

                        ctx.body = fileExists ? { fileExists: true } : { fileExists: false };
                        _context.next = 19;
                        break;

                    case 8:
                        if (!(ctx.query['list-overrides'] === 'true')) {
                            _context.next = 15;
                            break;
                        }

                        _context.next = 11;
                        return (0, _utils.readDir)(process.cwd() + '/src/data/', function (files) {
                            return _lodash2.default.filter(files, function (file) {
                                return file.includes('morphling-override');
                            }).map(function (file) {
                                return file.replace('morphling-override-', '');
                            });
                        });

                    case 11:
                        files = _context.sent;

                        ctx.body = { files: files };
                        _context.next = 19;
                        break;

                    case 15:
                        _context.next = 17;
                        return (0, _utils.readDir)(process.cwd() + '/src/data/', function (files) {
                            return _lodash2.default.filter(files, function (file) {
                                return !file.includes('morphling-override') && !['db.json', '.gitkeep'].includes(file);
                            });
                        });

                    case 17:
                        _files = _context.sent;

                        ctx.body = { files: _files };

                    case 19:
                        _context.next = 24;
                        break;

                    case 21:
                        _context.prev = 21;
                        _context.t0 = _context['catch'](0);

                        console.log('Error in get list', _context.t0);

                    case 24:
                    case 'end':
                        return _context.stop();
                }
            }
        }, _callee, undefined, [[0, 21]]);
    }));

    return function (_x) {
        return _ref.apply(this, arguments);
    };
}());

exports.default = router;