#! /usr/bin/env node
'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.version('0.0.1').description('CLI interface for Morphling').command('apply <file>', 'Apply a Swagger to morphling').alias('a').command('bash', 'Bash into the morphling container').alias('b').command('config', 'Configure the morphling server').alias('c').command('describe <filename>', 'Describe a morphling override').alias('d').command('list', 'List files saved in morphling').alias('ls').command('remove', 'Remove a Swagger file saved in Morphling').alias('rm').command('remove-all', 'Clear Swagger files saved in Morphling').alias('rma').command('restart', 'Restart the morphling server').alias('rr').command('start', 'Start the morphling server on 8883 if no port is provided').alias('s').command('stop', 'Stop the morphling server').alias('k').command('toggle <filename>', 'Toggle an override').alias('t');

_commander2.default.parse(process.argv);