#! /usr/bin/env node
'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _shelljs = require('shelljs');

var _shelljs2 = _interopRequireDefault(_shelljs);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _child_process = require('child_process');

var _child_process2 = _interopRequireDefault(_child_process);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.parse(process.argv);

console.log(_chalk2.default.white('Container ID is:'));

_shelljs2.default.exec('docker ps --filter "name=morphlingjs_web" -q', function (code, stdout, stderr) {
    if (stderr) {
        console.log(stderr);
    } else {
        console.log(_chalk2.default.white('Bashing into Morphling.. Type ' + _chalk2.default.bold('exit') + ' to exit.'));
        _child_process2.default.spawnSync('docker', ['exec', '-it', _lodash2.default.trim(stdout), 'bash'], {
            stdio: 'inherit'
        });
    }
});