'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _koaRouter = require('koa-router');

var _koaRouter2 = _interopRequireDefault(_koaRouter);

var _utils = require('../utils/utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var router = (0, _koaRouter2.default)();

router.get('/toggle', function () {
    var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(ctx) {
        var filename, file, fileToToggle, trueIfEnableAll, files;
        return _regenerator2.default.wrap(function _callee2$(_context2) {
            while (1) {
                switch (_context2.prev = _context2.next) {
                    case 0:
                        _context2.prev = 0;

                        if (!ctx.query['filename']) {
                            _context2.next = 15;
                            break;
                        }

                        filename = ctx.query.filename;
                        file = process.cwd() + '/src/data/morphling-override-' + filename;
                        _context2.t0 = JSON;
                        _context2.next = 7;
                        return (0, _utils.readFile)(file);

                    case 7:
                        _context2.t1 = _context2.sent;
                        fileToToggle = _context2.t0.parse.call(_context2.t0, _context2.t1);

                        fileToToggle.overrideStatus = !fileToToggle.overrideStatus;

                        _context2.next = 12;
                        return (0, _utils.writeFile)('morphling-override-' + filename, fileToToggle);

                    case 12:

                        ctx.body = { overrideStatus: fileToToggle.overrideStatus };
                        _context2.next = 26;
                        break;

                    case 15:
                        if (!ctx.query['enable']) {
                            _context2.next = 25;
                            break;
                        }

                        trueIfEnableAll = ctx.query['enable'] === 'all';
                        _context2.next = 19;
                        return (0, _utils.readDir)(process.cwd() + '/src/data/', function (files) {
                            return _lodash2.default.filter(files, function (file) {
                                return file.includes('morphling-override');
                            });
                        });

                    case 19:
                        files = _context2.sent;
                        _context2.next = 22;
                        return _promise2.default.all(_lodash2.default.map(files, function () {
                            var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(file) {
                                var fileToToggle;
                                return _regenerator2.default.wrap(function _callee$(_context) {
                                    while (1) {
                                        switch (_context.prev = _context.next) {
                                            case 0:
                                                _context.t0 = JSON;
                                                _context.next = 3;
                                                return (0, _utils.readFile)(process.cwd() + '/src/data/' + file);

                                            case 3:
                                                _context.t1 = _context.sent;
                                                fileToToggle = _context.t0.parse.call(_context.t0, _context.t1);

                                                fileToToggle.overrideStatus = trueIfEnableAll;
                                                _context.next = 8;
                                                return (0, _utils.writeFile)(file, fileToToggle);

                                            case 8:
                                                return _context.abrupt('return', _context.sent);

                                            case 9:
                                            case 'end':
                                                return _context.stop();
                                        }
                                    }
                                }, _callee, undefined);
                            }));

                            return function (_x2) {
                                return _ref2.apply(this, arguments);
                            };
                        }()));

                    case 22:

                        ctx.body = { overrideStatus: trueIfEnableAll };
                        _context2.next = 26;
                        break;

                    case 25:
                        ctx.throw(404);

                    case 26:
                        _context2.next = 31;
                        break;

                    case 28:
                        _context2.prev = 28;
                        _context2.t2 = _context2['catch'](0);

                        ctx.throw(_context2.t2);

                    case 31:
                    case 'end':
                        return _context2.stop();
                }
            }
        }, _callee2, undefined, [[0, 28]]);
    }));

    return function (_x) {
        return _ref.apply(this, arguments);
    };
}());

exports.default = router;